Bug 361511 - kdenetwork lacks dependecy to samba-client
kdenetwork lacks dependecy to samba-client
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 07:41 EDT by Juha Tuomala
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 08:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-11-01 07:41:12 EDT
Description of problem:

$ strings /usr/bin/lisa|grep nmblookup
nmblookup "*"

$ rpm -qf /usr/bin/nmblookup
samba-client-3.0.26a-6.fc8

$ rpm -q --requires kdenetwork|grep -c samba
0


Version-Release number of selected component (if applicable):

$ rpm -q kdenetwork
kdenetwork-3.5.8-3.fc8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:



Expected results:

Working dependency and no errors to console about missing binary.

Additional info:
Comment 1 Rex Dieter 2007-11-01 08:03:23 EDT
Thanks for the report.
Comment 2 Rex Dieter 2007-11-01 08:03:41 EDT
Fixed in rawhide:

%changelog
* Thu Nov 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-5
- Requires: samba-client (#361511)

will be included in next pkg build/release
Comment 3 Sebastian Vahl 2007-11-01 08:20:33 EDT
I would prefer turning "SearchUsingNmblookup" in /etc/lisarc off to save the 
space for samba-client on the livecd.

See also bug #238688
Comment 4 Juha Tuomala 2007-11-01 08:39:38 EDT
And also prevent drawing the complex piece of software for unnecessary 
security updates.
Comment 5 Rex Dieter 2007-11-01 08:41:41 EDT
Agreed.
Comment 6 Rex Dieter 2007-11-01 08:45:06 EDT
better? :)

* Thu Nov 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 7:3.5.8-6
- drop: Req: samba-client (#361511)
- lisarc: SearchUsingNmblookup = 0 (#361511)
Comment 7 Juha Tuomala 2007-11-01 08:48:55 EDT
definately. :)

Note You need to log in before you can comment on or make changes to this bug.